﻿@model MIMS.Portal.ViewModels.MerchantViewModel
@using MIMS.Portal.Core.Domains;
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "اطلاعات پذیرنده";
}
<!-- Modal -->
<div id="modal-image-preview" class="modal fade" style="z-index:9999999;">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"></h5>

                <button hidden type="button" class="close" data-dismiss="modal">
                    <span>&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <img src="" class="image-preview" style="width: 100%;">
            </div>
            <div class="modal-footer">
                <a id="image-save" class="btn btn-info image-download" href="" download="">ذخیره</a>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">بستن</button>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-xl-12 col-lg-12">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">@Model.MerchantFullname</h4>
                <a class="heading-elements-toggle"><i class="icon-ellipsis font-medium-3"></i></a>
                <div class="heading-elements">
                    <ul class="list-inline mb-0">
                        <li>
                            <div id="new-request" class="btn-group-sm">
                                @*<button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">جدید</button>*@
                                <div class="dropdown-menu">
                                    <a class="dropdown-item" href="#">خط</a>
                                    <button type="button" data-action="CreateLine" data-id="@Model.Id" data-name="PetrolTestCenterId" data-parent="@Model.Id" class=" swa" title="ایجاد " data-toggle="_tooltip" data-placement="top"> جدید</button>

                                    <a class="dropdown-item" href="#">کاربر</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="#">تجهیزات</a>
                                </div>
                            </div>
                        </li>
                        <li hidden><a data-action="collapse"><i class="icon-minus4"></i></a></li>
                        <li><a data-action="reload"><i class="icon-reload"></i></a></li>
                        <li><a data-action="expand"><i class="icon-expand2"></i></a></li>
                        <li hidden><a data-action="close"><i class="icon-cross2"></i></a></li>
                    </ul>
                </div>
            </div>
            <div class="card-body">
                <div class="card-block">
                    <!-- nav tabs -->
                    <div class="default-tab">
                        <ul class="nav nav-tabs mb-3" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" data-toggle="tab" href="#profile">مشخصات</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#bank-accounts">شماره حساب</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#stores">فروشگاه</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#terminals">پایانه</a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div id="profile" class="tab-pane active" role="tabpanel">
                                <h4 hidden></h4>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="MerchantType" class="text-muted"></label>
                                            <p><strong>@Html.DisplayFor(model => model.MerchantType)</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="CreatedDate" class="control-label"></label>
                                            <p><strong dir="ltr">@Model.CreatedDate.ToPeString()</strong></p>
                                        </div>
                                    </div>
                                </div>
                                <hr />
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="FirstName" class="control-label"></label>
                                            <p><strong>@Model.FirstName</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="LastName" class="control-label"></label>
                                            <p><strong>@Model.LastName</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="FatherName" class="control-label"></label>
                                            <p><strong>@Model.FatherName</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="Gender" class="control-label"></label>
                                            <p><strong>@Html.DisplayFor(model => model.Gender)</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="EnglishFirstName" class="control-label"></label>
                                            <p><strong>@Model.EnglishFirstName</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="EnglishLastName" class="control-label"></label>
                                            <p><strong>@Model.EnglishLastName</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="EnglishFatherName" class="control-label"></label>
                                            <p><strong>@Model.EnglishFatherName</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">

                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="NationalCode" class="control-label"></label>
                                            <p><strong>@Model.NationalCode</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="BirthCertificateNumber" class="control-label"></label>
                                            <p><strong>@Model.BirthCertificateNumber</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="BirthDate" class="control-label"></label>
                                            <p><strong>@Model.BirthDate</strong></p>
                                        </div>
                                    </div>
                                </div>
                                @if (Model.MerchantType == MIMS.Portal.ValueObjects.Enum.PersonType.Legal)
                                {
                                    <hr class="legal-person" />
                                    <div class="row legal-person">
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label asp-for="CompanyName" class="control-label"></label>
                                                <p><strong>@Model.CompanyName</strong></p>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label asp-for="EnglishCompanyName" class="control-label"></label>
                                                <p><strong>@Model.EnglishCompanyName</strong></p>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label asp-for="CompanyNationalId" class="control-label"></label>
                                                <p><strong>@Model.CompanyNationalId</strong></p>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label asp-for="CompanyRegisterNumber" class="control-label"></label>
                                                <p><strong>@Model.CompanyRegisterNumber</strong></p>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label asp-for="CompanyEconomicCode" class="control-label"></label>
                                                <p><strong>@Model.CompanyEconomicCode</strong></p>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label asp-for="CompanyRegisterDate" class="control-label"></label>
                                                <p><strong>@Model.CompanyRegisterDate</strong></p>
                                            </div>
                                        </div>
                                    </div>
                                }
                                <hr />
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="Mobile" class="control-label"></label>
                                            <p><strong>@Model.Mobile</strong></p>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="Phone" class="control-label"></label>
                                            <p><strong>@Model.Phone</strong></p>
                                        </div>
                                    </div>
                                    @*<div class="col-md-3">
                                            <div class="form-group">
                                                <label asp-for="Fax" class="control-label"></label>
                                                <p><strong>@Model.Fax</strong></p>
                                            </div>
                                        </div>*@

                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="Email" class="control-label"></label>
                                            <p><strong>@Model.Email</strong></p>
                                        </div>
                                    </div>

                                    <div class=" col-md-3">
                                        <div class="form-group">
                                            <label asp-for="PostalCode" class="control-label"></label>
                                            <p><strong>@Model.PostalCode</strong></p>
                                        </div>
                                    </div>
                                    <div class=" col-md-9">
                                        <div class="form-group">
                                            <label asp-for="Address" class="control-label"></label>
                                            <p><strong>@Model.Address</strong></p>
                                        </div>
                                    </div>
                                </div>
                                <hr />
                                <div class=" row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="ReferrerFirstName" class="control-label"></label>
                                            <p><strong>@Model.ReferrerFirstName</strong></p>
                                        </div>
                                    </div>
                                    <div class=" col-md-3">
                                        <div class="form-group">
                                            <label asp-for="ReferrerLastName" class="control-label"></label>
                                            <p><strong>@Model.ReferrerLastName</strong></p>
                                        </div>
                                    </div>
                                    <div class=" col-md-3">
                                        <div class="form-group">
                                            <label asp-for="ReferrerNationalCode" class="control-label"></label>
                                            <p><strong>@Model.ReferrerNationalCode</strong></p>
                                        </div>
                                    </div>
                                    <div class=" col-md-3">
                                        <div class="form-group">
                                            <label asp-for="ReferrerMobile" class="control-label"></label>
                                            <p><strong>@Model.ReferrerMobile</strong></p>
                                        </div>
                                    </div>
                                    <div class=" col-md-3">
                                        <div class="form-group">
                                            <label asp-for="ReferrerPhone" class="control-label"></label>
                                            <p><strong>@Model.ReferrerPhone</strong></p>
                                        </div>
                                    </div>
                                </div>
                                <hr />
                                <div class=" row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="IDCardFront" class="control-label"></label>
                                            <a href="#" class="preview"> <img class="img-fluid" src="@Url.Content(Model.IDCardFrontUrl)" alt=""></a>
                                        </div>
                                    </div>
                                    <div class=" col-md-3">
                                        <div class="form-group">
                                            <label asp-for="IDCardBack" class="control-label"></label>
                                            <a href="#" class="preview"><img class="img-fluid" src="@Url.Content(Model.IDCardBackUrl)" alt=""></a>
                                        </div>
                                    </div>
                                    <div class=" col-md-3">
                                        <div class="form-group">
                                            <label asp-for="CredentialMainPage" class="control-label"></label>
                                            <a href="#" class="preview"><img class="img-fluid" src="@Url.Content(Model.CredentialMainPageUrl)" alt=""></a>
                                        </div>
                                    </div>
                                    <div class=" col-md-3">
                                        <div class="form-group">
                                            <label asp-for="CredentialLastPage" class="control-label"></label>
                                            <a href="#" class="preview">
                                                <img class="img-fluid" src="@Url.Content(Model.CredentialLastPageUrl)" alt="">
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-md-3" hidden>
                                        <div class="thumbnail">
                                            <a href="@Url.Content(Model.CredentialLastPageUrl)">
                                                <img src="@Url.Content(Model.CredentialLastPageUrl)" alt="" style="width:100%">
                                                <div class="caption">
                                                    <p>Lorem ipsum...</p>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="bank-accounts" class="tab-pane fade">
                                <div class="p-t-15">
                                    <h4 hidden></h4>
                                    @await Component.InvokeAsync("MerchantBankAccounts", new { MerchantId = Model.Id })
                                </div>
                            </div>
                            <div id="stores" class="tab-pane fade">
                                <div class="p-t-15">
                                    <h4 hidden></h4>
                                    @await Component.InvokeAsync("MerchantStores", new { MerchantId = Model.Id })
                                </div>
                            </div>
                            <div id="terminals" class="tab-pane fade">
                                <div class="p-t-15">
                                    <h4 hidden></h4>
                                    @await Component.InvokeAsync("MerchantTerminals", new { MerchantId = Model.Id })
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                @if (User.IsInRole("Admin") || (Model.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected))
                {
                    <a asp-action="Edit" asp-controller="Merchants" asp-route-Id="@Model.Id" class="btn btn-min-width btn-primary">ویرایش پذیرنده</a>
                }
                <div class="btn-group dropup" role="group">
                    <button type="button" class="btn btn-min-width btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">افزودن</button>
                    <div class="dropdown-menu">
                        <a asp-action="Create" asp-controller="BankAccounts" asp-route-Id="@Model.Id" class="dropdown-item">شماره حساب</a>
                        <a asp-action="Create" asp-controller="Stores" asp-route-Id="@Model.Id" class="dropdown-item">فروشگاه</a>
                        <a asp-action="Create" asp-controller="Terminals" asp-route-Id="@Model.Id" class="dropdown-item">پایانه</a>
                    </div>
                </div>
            </div>


        </div>
    </div>
</div>

@section Scripts{
    <script>
        $(document).ready(function () {

            if (window.location.hash != "") {
                $('a[href="' + window.location.hash + '"]').click()
            }

        });




        $(function () {
            debugger;

            if (window.location.hash != "") {
                debugger;
                $('a[href="' + window.location.hash + '"]').click()
                $('a[href="' + window.location.hash + '"]').tab('show')
            }
            $('.faq-cat-tabs a[href="' + window.location.hash + '"]').tab('show');
        });


        $('.preview').on('click', function () {
            $('.modal-title').text($(this).prevAll('label').first().text());
            $('.image-preview').attr('src', $(this).find('img').attr('src'));
            $('.image-download').attr('href', $(this).find('img').attr('src'));
            $('.image-download').attr('download', $(this).find('img').attr('src').split('/').pop());
            $('#modal-image-preview').modal({
                backdrop: 'static',
                keyboard: false,
                show: true
            });
        });

    </script>
}
